Bug 68162 - Installer should allow you to specify a host name when you use dhcp
Summary: Installer should allow you to specify a host name when you use dhcp
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 8.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-07 06:51 UTC by Dan de Haan
Modified: 2007-04-18 16:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 21:39:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan de Haan 2002-07-07 06:51:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020625

Description of problem:
When you select DHCP to configure you ehternet interface, the installer should
still allow you to specify a hostname.

Some newtorks assign an address based on the name the dhcp client provides, and
others (such as mine) set up a dynamic dns entery poiting to the name you define.

Version-Release number of selected component (if applicable):

Comment 1 Jay Turner 2002-07-08 17:44:00 UTC
Are you seeing this with TUI or the GUI installer?

Comment 2 Dan de Haan 2002-07-15 05:03:59 UTC
GUI

Comment 3 Michael Fulbright 2002-08-12 21:51:42 UTC
Please try with the latest limbo release.

Comment 4 Dan de Haan 2002-08-13 01:07:56 UTC
The installer lets you supply a hostname to use with dhcp, but that hostname is
not passed to te dhcp server in the dhcp request.

Comment 5 Michael Fulbright 2002-08-14 19:52:11 UTC
That would be a problem with the initscripts most likely.

Comment 6 Bill Nottingham 2005-03-01 20:48:22 UTC
For something like this, the installer would need to write DHCP_HOSTNAME="that
hostname" in the ifcfg file.


Note You need to log in before you can comment on or make changes to this bug.